ClarisWksTable Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
ClarisWksTable Class Reference

the main class to read the text part of Claris Works file More...

`#include <ClarisWksTable.hxx>`

## Public Member Functions
| ClarisWksTable (ClarisWksDocument &document)
| constructor More...
virtual | ~ClarisWksTable ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...
shared_ptr< ClarisWksStruct::DSET > | readTableZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET More...

## Protected Member Functions
bool | sendZone (int number)
| sends the zone data to the listener (if it exists ) More...
bool | askMainToSendZone (int number)
| ask the main parser to send a zone More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | readTableBorders (ClarisWksTableInternal::Table &table)
| try to read the table border More...
bool | readTableCells (ClarisWksTableInternal::Table &table)
| try to read the table cells More...
bool | readTableBordersId (ClarisWksTableInternal::Table &table)
| try to read the table border More...
bool | readTablePointers (ClarisWksTableInternal::Table &table)
| try to read a list of pointer ( unknown meaning ) More...

## Protected Attributes
ClarisWksDocument & | m_document
| the document More...
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ClarisWksTableInternal::State > | m_state
| the state More...
MWAWParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| ClarisWksTable (ClarisWksTable const &orig)
ClarisWksTable & | operator= (ClarisWksTable const &orig)

## Friends
class | ClarisWksDocument
class | ClarisWksParser
struct | ClarisWksTableInternal::Table

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

ClarisWksTable::ClarisWksTable | ( | ClarisWksDocument & | document | ) |
| explicit

constructor

ClarisWksTable::~ClarisWksTable | ( |  | ) |
| virtual

destructor

ClarisWksTable::ClarisWksTable | ( | ClarisWksTable const & | orig | ) |
| private

## Member Function Documentation

bool ClarisWksTable::askMainToSendZone | ( | int | number | ) |
| protected

ask the main parser to send a zone

void ClarisWksTable::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

int ClarisWksTable::numPages | ( |  | ) | const

returns the number of pages

ClarisWksTable& ClarisWksTable::operator= | ( | ClarisWksTable const & | orig | ) |
| private

bool ClarisWksTable::readTableBorders | ( | ClarisWksTableInternal::Table & | table | ) |
| protected

try to read the table border

Referenced by readTableZone().

bool ClarisWksTable::readTableBordersId | ( | ClarisWksTableInternal::Table & | table | ) |
| protected

try to read the table border

Referenced by readTableZone().

bool ClarisWksTable::readTableCells | ( | ClarisWksTableInternal::Table & | table | ) |
| protected

try to read the table cells

Referenced by readTableZone().

bool ClarisWksTable::readTablePointers | ( | ClarisWksTableInternal::Table & | table | ) |
| protected

try to read a list of pointer ( unknown meaning )

Referenced by readTableZone().

shared_ptr< ClarisWksStruct::DSET > ClarisWksTable::readTableZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete
| ) |  |

reads the zone Text DSET

find 3 ptr here in general >= PTR, very often PTR+4,PTR+8,PTR+c, but can be more complex for instance PTR+354,PTR-6924,PTR+7fc,

three fields which seems to follows the list of cells zone 0 : looks like a list of integer : related to last selected border ? zone 1 : looks like a list of integer : unknown meaning

Referenced by numPages().

bool ClarisWksTable::sendZone | ( | int | number | ) |
| protected

sends the zone data to the listener (if it exists )

Referenced by flushExtra().

int ClarisWksTable::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class ClarisWksDocument
| friend

friend class ClarisWksParser
| friend

friend struct ClarisWksTableInternal::Table
| friend

## Member Data Documentation

ClarisWksDocument& ClarisWksTable::m_document
| protected

the document

Referenced by askMainToSendZone(), readTableBorders(), readTableCells(), readTableZone(), and sendZone().

MWAWParser* ClarisWksTable::m_mainParser
| protected

the main parser;

MWAWParserStatePtr ClarisWksTable::m_parserState
| protected

the parser state

Referenced by flushExtra(), readTableBorders(), readTableBordersId(), readTableCells(), readTablePointers(), readTableZone(), sendZone(), and version().

shared_ptr<ClarisWksTableInternal::State> ClarisWksTable::m_state
| protected

the state

Referenced by flushExtra(), readTableZone(), and sendZone().

The documentation for this class was generated from the following files:

- ClarisWksTable.hxx
- ClarisWksTable.cxx